Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans
Class PropertyAccessorFactory

    java.lang.Object
      org.springframework.beans.PropertyAccessorFactory

    public abstract class PropertyAccessorFactory

extends java.lang.Object

Simple factory facade for obtaining `PropertyAccessor` instances, in particular for `BeanWrapper` instances. Conceals the actual target implementation classes and their extended public signature.

Since:
  2.5.2
Author:
  Juergen Hoeller

Constructor Summary
`PropertyAccessorFactory()`

Method Summary
`static BeanWrapper` | `forBeanPropertyAccess(java.lang.Object target)` Obtain a BeanWrapper for the given target object, accessing properties in JavaBeans style.
`static ConfigurablePropertyAccessor` | `forDirectFieldAccess(java.lang.Object target)` Obtain a PropertyAccessor for the given target object, accessing properties in direct field style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyAccessorFactory

    public PropertyAccessorFactory()

Method Detail

### forBeanPropertyAccess

    public static BeanWrapper forBeanPropertyAccess(java.lang.Object target)

  Obtain a BeanWrapper for the given target object, accessing properties in JavaBeans style.

  Parameters:
    `target` - the target object to wrap
  Returns:
    the property accessor
  See Also:
    `BeanWrapperImpl`

### forDirectFieldAccess

    public static ConfigurablePropertyAccessor forDirectFieldAccess(java.lang.Object target)

  Obtain a PropertyAccessor for the given target object, accessing properties in direct field style.

  Parameters:
    `target` - the target object to wrap
  Returns:
    the property accessor
  See Also:
    `DirectFieldAccessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD